Sie sind auf Seite 1von 99

SolidWorks 2009 Training

For

American Aerospace Engineering LLC


Prepared by
John P. Greiner
jpgreiner@gmail.com

SolidWorks and Simulation Training


SolidWorks training outline for American Aerospace Engineering:
Topics:
o Day 1

o Day 2

o Day 3

o Day 4

o Day 5

o Day 6

o Day 7

o Day 8

Basic SolidWorks overview


DimXPert
Moldtools
Sheet Metal
Assemblies
Design Tables
Macros
Surfacing
Lofting
Weldments
Beam Analysis
Fatigue Analysis
Other Simulation
Motion Analysis

Goals for Friday May 29:


Meet and Greet
Gather example SolidWorks files.
Discuss particular issues with SolidWorks or solid modeling.
Discuss specific Simulation problems and approaches.
Discuss http://drop.io/AAEngineering, Password: aae61809
About Me:
John P. Greiner
10 Years SolidWorks Experience
3 Years teaching SolidWorks Basic and Advanced at both Clark College in Vancouver and
Portland Community College.
Senior Mechanical Engineer at Key Knife, Inc. in Tualatin, Or. (7 years)
SolidWorks Training:
o Basic SolidWorks, Advanced Part Modeling, Advanced Assembly Modeling, SolidWorks
Drawings, Simulation Basic, Simulation Advanced, Simulation Non-Linear

http://drop.io/AAEngineering/AAE Training.docx

Page 2

SolidWorks and Simulation Training


Day 1:
Basic SolidWorks Overview
Objectives:
Understand basic terminology associated with SolidWorks.
Understand how SolidWorks files are associated with each other.
Understand the difference between Document Properties and System Properties.
Know how to back up user settings and restore them if necessary.
Review content that would be covered in a Basic or Introduction to SolidWorks course.
Terminology
Dictionary.com defines terminology as the system of terms belonging or peculiar to a science, art, or
specialized subject. The terminology surrounding SolidWorks, while not difficult, does require at least a
review to help me communicate with you more
effectively and vice versa.
Lets begin with nomenclature for documents I tend
to use. You will often see something like Tools>Options in my text. In fact sometimes I even in my
speech I say things like Tools.Options I am always
referring to a menu or menu structure in SolidWorks. The
drop down menu is Tools, the command I am referring
to is Options.

Figure 1 - Tools->Options

Figure 2 - SolidWorks Menu Bar

While we are on the topic, the piece of the SolidWorks interface depicted is the Menu Bar. On my
interface, I will keep the Menu Bar Pull-Downs Pinned open for quick reference. The commands to the
right of the drop down menu are the quick launch. You can completely customize the quick launch
the same way you customize tool bars, but I will cover that later.

http://drop.io/AAEngineering/AAE Training.docx

Page 3

SolidWorks and Simulation Training


The area immediately below the Menu bar is the command manager. The command manager is
SolidWorks version of the infamous Ribbon popular with the new Microsoft Office. The command
manager is there to simplify your interface by displaying only the toolbars you need when you can use
them. The scuttlebutt is that in the next couple of versions of SolidWorks, the toolbars will go away, so
you might as well get used to using the Command Manager now! The tabs on the bottom of the
command manager can be added or removed with some pre-sets created by SolidWorks. Additionally,
any menu you have can also be turned into a tab.

Figure 3 - Command Manager with Tabs

The SolidWorks Document window is where all the magic happens. A few items of note are the Heads
Up View Toolbar and the Feature Manager Design Tree. We will be referring to both of these items
quite a bit throughout our time together. Note the Property Manager, Configuration Manager and
the DimXpert Manager also located in the same area as the Feature Manager Design Tree.

Figure 4 - Document Window

http://drop.io/AAEngineering/AAE Training.docx

Page 4

SolidWorks and Simulation Training


The final piece of the puzzle then is the Task Pane and the
Status Bar. The Task Pane contains items like the Toolbox, Design
Library, Custom Properties, Search and File Explorer. Usually, I will not
pin this section open since it takes up valuable Graphics Area on my
screen.
Enough about terminology, lets get into the meat of
SolidWorks itself. SolidWorks is a feature-based, parametric solid
modeling design tool you can use to create fully associative 3-D solid
models.
Just as assemblies are created by putting together individual
parts, parts are created by assembling individual constituent elements
called features. When creating a model with SolidWorks, you build
the model with geometric features such as bosses, cuts, holes, ribs,
fillets, chamfers and drafts applied directly to the work piece.
Features are classified as either sketched or applied. Sketched
features require some sort of a 2-D or 3-D sketch which is then
converted into a solid by extrusion, rotation, sweeping or lofting.
Applied features are created directly on the model such as fillets and
chamfers.
The dimensions and relations that you place on your sketches
and features to create the model are stored and referenced each time
the model is re-built or re-generated. These parametric features help
the user to convey design intent and to make changes to the model
when needed.
Figure 5 - Task Pane

http://drop.io/AAEngineering/AAE Training.docx

Page 5

SolidWorks and Simulation Training


SolidWorks Files
SolidWorks uses a complex system of linking and embedding to store data in files. Linking
involves storing the data in one file and referencing it from another file. No data is duplicated; instead
the path to the referenced document is stored in the SolidWorks database. When you open a
SolidWorks file that has linked references, it opens/loads data from each linked document. This is
advantageous if the file you are linking is subject to change. Embedding is the exact opposite of linking.
When you embed information into a SolidWorks file, that data is copied from the original location to the
new file. Updating the source file will have no effect on the embedded data. Some examples of Linked
data: A drawing file referencing a part or assembly file, an assembly file with multiple parts, an incontext part created inside an assembly. Example of embedded data: Design binder files, library
features, internally stored design table.
Properties
SolidWorks basically has two different types of
settings, Document Properties and System Options.
Document Properties apply only to the open document
or template while system properties persist between
documents. To get to these settings, go to Tools>Options. You immediately see the System Options
dialog box. Everything on this tab is a system setting.
These settings are saved to the Windows System
Registry upon exiting SolidWorks. Some examples of
settings that are system wide include:
Default File Locations
Toolbox Database Location
External Reference Behavior
Backup\Recover Settings
Collaboration Settings

Figure 6 - System Options

Clicking on the Document Properties tab brings up


the document settings. These setting are stored in the
open files database. Some examples of settings that
are document specific include:
Document Units
Drafting Standard
Dimension Arrow Length
Material Properties
Image Quality
Dim Xpert Settings
Figure 7 - Document Settings

http://drop.io/AAEngineering/AAE Training.docx

Page 6

SolidWorks and Simulation Training

As you can see, there are a whole lot of settings available to the user. To customize SolidWorks, you
could easily spend an hour or more going thru each setting. Knowing that your settings are stored in the
Windows Registry, not exactly a Fort Knox of security, a back-up of your setting could save you many
hours of setup and configuration time if for example you get a new computer or you somehow corrupt
your user profile. You can export your setting following these simple steps:
1. Modify all the System Settings you want then close SolidWorks.
2. Under Programs->SolidWorks 2009->SolidWorks 2009 SPX.X>SolidWorks Tools you will find a utility called Copy Settings Wizard
3. The Copy Settings Wizard is very easy to use. Simply click the Save
Settings Button followed by the Next button
4. Browse to a location to store the registry file. I recommend a network
location that is backed up regularly. Then click finish.

Figure 8 - Copy Settings Wizard Location

Figure 9 - Save Settings Wizard

Figure 10 - Select File Name

To restore your settings simply locate the registry file and double click on it to launch the Copy
Settings Wizard in restore mode. Follow the simple instructions and away you go. Be sure that
SolidWorks is not open when you perform these steps.

http://drop.io/AAEngineering/AAE Training.docx

Page 7

SolidWorks and Simulation Training


Basic SolidWorks Review
This section is meant as a review of basic SolidWorks. I have listed the major topics and
objectives covered in a basic SolidWorks class. If there is anything from this list that you would like me
to cover in detail, now is the time to speak up!
Introduction to Sketching
o Create a new part
o Insert a new sketch
o Add sketch geometry
o Establish sketch relations between pieces of geometry
o Understand the state of a sketch.
o Use sketch tools to add fillets.
o Extrude the sketch into a solid.
Basic Part Modeling
o Choose the best profile for sketching.
o Choose the proper sketch plane.
o Extrude a sketch as a cut.
o Create Hole Wizard holes.
o Insert fillets on a solid.
o Make a basic drawing of a part.
o Make a change to a dimension.
o Demonstrate the associatively between the model and its drawings.
Modeling a Casting or Forging
o Use the view display and modification commands.
o Copy and paste features.
o Edit the definition and parameters of a feature and regenerate the model.
o Use Up To Next and Mid Plane end conditions to capture design intent.
o Use symmetry in the sketch.
Patterning
o Create a linear pattern.
o Add a circular pattern.
o Use geometry patterns properly.
o Create a mirror pattern.
o Use the pattern seed only option with a linear pattern.
o Add a sketch driven pattern.
o Automate the process of fully defining a sketch.

http://drop.io/AAEngineering/AAE Training.docx

Page 8

SolidWorks and Simulation Training


Revolved Features
o Create revolved features.
o Apply special dimensioning techniques to sketches for revolved features.
o Use the multi-body solid technique.
o Create a sweep feature.
o Calculate the physical properties of a part.
o Perform rudimentary, first pass stress analysis.
Shelling and Ribs
o Apply draft to model faces.
o Perform shelling operations to hollow out a part.
o Create planes.
o Use the rib tool.
o Create thin features.
Editing: Repairs
o Diagnose various problems in a part.
o Repair sketch geometry problems.
o Repair dangling relations and dimensions.
o Use the FeatureXpert to repair filleting problems.
o Use the FilletXpert and DraftXpert to add fillets and draft.
Editing: Design Changes
o Understand how modeling techniques influence the ability to modify a part.
o Utilize all the available tools to edit and make changes to a part.
o Use Sketch Contours to define the shape of a feature.
Configurations of Parts
o Use configurations to represent different versions of a part within a single SolidWorks
file.
o Use configure feature to create and edit configurations.
o Suppress and un-suppress features.
o Change dimension values by configuration.
o Suppress features by configuration.
o Understand the ramifications of making changes to parts that have configurations.
o Use the design library to insert features into a part.
Design Tables and Equations
o Link dimension values together to capture design intent.
o Create equations.
o Automatically create design tables.
o Use existing design tables to create families of parts.
o Make detail drawings using more advanced types of drawing views.

http://drop.io/AAEngineering/AAE Training.docx

Page 9

SolidWorks and Simulation Training


Bottom-Up Assembly Modeling
o Create a new assembly.
o Insert components into an assembly using all available techniques.
o Add mating relationships between components.
o Utilize the assembly-specific aspects of the FeatureManager design tree to manipulate
and manage the assembly.
o Insert sub-assemblies.
o Use part configurations in an assembly.
Using Assemblies
o Perform mass properties calculations.
o Create an exploded view of an assembly.
o Add explode lines.
o Generate a bill of materials for an assembly.
Using DimXpet and TolAnalyst
o Use the DimXpert tools.
o Understand tolerance types and features.
o Generate tolerance schemes automatically.
o Use the TolAnalyst to determine stack ups.

http://drop.io/AAEngineering/AAE Training.docx

Page 10

SolidWorks and Simulation Training


DimXpert
The DimXpert software is used to create a fully tolerance model that can be used with
TolAnalyst stack analysis. The results can also be used for:
Partner CAM applications
Partner tolerance analysis applications
Metrology applications
Creating dimensioned and annotated drawing views
The model is treated as an imported body with topological, not SolidWorks, features. It is
considered to be in an under constrained state unless enough dimensions are added to fully constrain
the features. Dimensions and tolerances can be added manually or automatically and conform to the
ASME Y14.41-2003 standard.
How the DimXpert Works
The DimXpert treats each part as pure geometry. The geometry is broken down and identified
as separate features. User selections identify datums and features of interest.
Tolerance Types and Features
Using Auto Dimension Scheme, the Tolerance types Plus and Minus or Geometric can be
created. The Geometric option includes Datums and Geometric Tolerances.
DimXPert Features
DimXPert features are used to describe the feature geometry of the part. These features are
based solely on geometry, no on the dimensions and features that were created in building the part.
The feature types are listed below:
Plane features are recognized from planar faces in the model. Multiple related planes may be
recognized as Width Features or Compound Planes.
Boss features
Cylinder features can be recognized instead of a circular boss.
Fillet Features
Fillet Pattern a collection of fillet features of the same size but disconnected.
Fillet Chain a connected set of fillets.
Simple Hole
Countersink Hole
Counterbored Hole
Hole Pattern
Slot
Pocket
Notch

http://drop.io/AAEngineering/AAE Training.docx

Page 11

SolidWorks and Simulation Training


DimXPert Examples
Simple Plate
Model the plate as shown.

Figure 11 - Plate

http://drop.io/AAEngineering/AAE Training.docx

Page 12

SolidWorks and Simulation Training


Check the DimXpert Settings:
Tools->Options->Document Settings->DimXpert
Block Tolerance
A common form of tolerance used with inch units. The
tolerance is based on the given precision of each
dimension, so you must specify trailing zeroes.
Length unit dimensions.
Sets up three block
tolerances, each having a number of decimal places
and tolerance value. DimXpert applies the Value as a
symmetric plus and minus tolerance.
Angular unit dimensions. Sets the tolerance value to
use for all angular dimensions, including those applied
cones and countersinks, and angle dimensions created
between two features. DimXpert applies the Tolerance
value as a symmetric plus and minus tolerance.

Figure 12 - DimXpert Settings

General Tolerance
A common form of tolerance used with metric units in conjunction with the ISO drawing standard.
General Tolerance is based on ISO 2768-1 Tolerances for linear and angular dimensions without
individual tolerance indications.
Tolerance Class. Sets the part tolerance class.
o
o
o
o

Fine (f)
Medium (m)
Coarse (c)
Very Coarse (v)

http://drop.io/AAEngineering/AAE Training.docx

Page 13

SolidWorks and Simulation Training


Click on Geometric Tolerance
Ensure the Create Basic Dimensions check box is
checked and the option Chain is selected.
Click Help for a rundown of each of the settings and
what they mean.
When done, click ok to accept the settings.

Figure 13 - DimXpert Geometric Tolerance

From the DimXpert Manager, click Auto Dimension Scheme.


Since this is not a revolved part, select prismatic and since we are going to
use GD&T type dimensioning, select Geometric from the settings box.
Select the Primary, Secondary and Tertiary datums. The primary datum is
the bottom of the plate, the secondary datum is the short end and the
tertiary datum is one of the long ends as shown below.

Figure 14 - Auto Dimension


Scheme

Figure 15 - Plate with datums selected

http://drop.io/AAEngineering/AAE Training.docx

Page 14

SolidWorks and Simulation Training


In the Scope box, select Selected Features and then click inside one of the holes. Notice how
DimXpert adds a hole pattern since it recognized the pattern of the same sized holes. Next click on faces
opposite our datum 2 and datum 3. These planar datums will be used to define the length and width of
our part. Next, click OK to let the DimXpert go to work on your part.

Figure 16 - Feature Scope

Expand all the features in the DimXpert Feature Manager. Spend a minute or two reviewing what the
DimXpert created. Notice that when you click on a feature, it highlights in the Graphics Area.

Figure 17 - DimXpert Feature Manager

http://drop.io/AAEngineering/AAE Training.docx

Page 15

SolidWorks and Simulation Training


Clicking on the Show Tolerance Status button will highlight
which features are Over Constrained (Red), Under Constrained
(Yellow) or Fully Constrained (Green).
On the DimXpert tab of the command manager, locate and
click the Size Dimension command.

Figure 18 - Size Dimension

Click on any one of the large fillets and place the dimension as shown then click Ok.

Figure 19 - Adding a dimension to the fillet

http://drop.io/AAEngineering/AAE Training.docx

Page 16

SolidWorks and Simulation Training


If your Show Tolerance Status is still on, you should see the fillets change to green indicating that they
are now constrained.

Figure 20 - Constrained Fillets

At this point, be sure to save the model. From the Heads Up View Toolbar, select Top view.
Notice how some of the dimensions disappear. This is because you are now only seeing the dimensions
assigned to the Top View. Spend a moment cleaning up the dimensions like you would want them to
show on paper.

Figure 21 - Top View

http://drop.io/AAEngineering/AAE Training.docx

Page 17

SolidWorks and Simulation Training


Do the same thing but with the part viewed from the front.

Figure 22 - Front View

Click File->Make Drawing From Part. Before dropping a view onto your page, make sure the
Import Annotations, DimXpert Annotations, Include items from hidden features and Auto-start
projected view is checked. Then drop the Top and Front views onto the sheet.

Figure 23 - View Palette Settings

Figure 24 - Free Drawing

http://drop.io/AAEngineering/AAE Training.docx

Page 18

SolidWorks and Simulation Training


Week 1 Assignment:
Pick a single part file and use the DimXpert to fully define your part. Create a drawing using only
DimXPert dimensions.
*If Allowed, upload your part and drawing to the www.drop.io/AAEngineering. (This way I can
answer specific questions based on your models.)

http://drop.io/AAEngineering/AAE Training.docx

Page 19

SolidWorks and Simulation Training


Day 2
Mold Tools
Objectives
Know how to locate and identify the Mold Tools in SolidWorks 2009
Understand how to use the existing mold tools.
Walk thru a simple mold tool design.
Like almost everything else, the Mold Tools toolbar
has been given a tab on the SolidWorks command manager.
Most users will have to right click on the command manager
and check next to the Mold Tools icon in order to see the
Mold Tools tab.
After showing the Mold Tools tab, click on the tab to
show the toolbar. Having an open part that contains
features will set most of the mold tools as enabled as shown
below.
Figure 25 - Enable the Mold Tools Tab

Figure 26 - The Mold Tools Toolbar

In order to be efficient with the mold tools, you must first understand a little something about
injection molds. Molds are made up of a core and a cavity that when sandwiched together allow for the
exact thickness of plastic to be injected into the mold creating the desired shape. The core duplicates
the inner surface of the model while the cavity duplicates the outer surface. Ensuring that the part will
eject from the mold once it has dried is half the battle when it comes to designing molds. I will guide
you thru a simple example using the SolidWorks Telephone file.

Figure 27 - Telephone File

http://drop.io/AAEngineering/AAE Training.docx

Page 20

SolidWorks and Simulation Training


Once the file is open, the first step is to check the part with the draft analysis tool. We are trying
to verify that each of the surfaces contain sufficient draft. In this part, the direction of pull is normal to
the TOP plane, so go ahead and select that plane. This defines the direction of movement of the mold
during the part ejection
process.
We want the
white arrow to point up as
shown to the right. Set the
draft angle to 0.5 and
check the face classification
check box. The green faces
indicate positive draft while
the red faces indicate
negative draft. The yellow
faces are the faces that we
need to be concerned
about since these are the
faces that will prevent our
part from ejecting from the
mold easily. Clicking the
green
check
box
Figure 29 - Draft Analysis
maintains these colors
without adding a feature to the design tree. An Undercut analysis can be performed the same way only
it indicates trapped areas which prevent the part from leaving the mold. To add draft to this yellow
surface, click the Draft button on the mold tools
or features toolbar. Again, select the top plane
as the pull direction, but flip the direction so
that the arrow points down. Next select the
Parting Line option and set the angle to 1.
Right click on the outer edge of the yellow face
and click Select Tangency. This should select
the entire perimeter of the part on the yellow
face. Click the green check to add the draft.
The entire yellow surface disappears.
Figure 28 - Adding Draft

http://drop.io/AAEngineering/AAE Training.docx

Page 21

SolidWorks and Simulation Training


Now that we have taken care of the
draft, the next step is to account for shrinkage.
Click the Scale tool from the command
managers mold tools tab. Expand the Solid
Bodies folder and select the solid body Draft 2.
Set the Scale About to Centroid and the Scale
Factor to 1.05. Click ok to increase the overall
size of the model.
The Parting Line tool checks draft and
adds a parting line which is used to create the
cavity and the core. Click on the parting line
command from the Command Managers Mold

Figure 30 - Scale the Part

Tools tab. Set the pull direction


by selecting the Top Plane as we
did before. Ensure the white
arrow is pointing up and not
down into the phone. Set the
angle to 0.5 and click the Draft
Analysis button. This selects the
edge around the part where the
draft switches from Positive to
Negative. Since we have already
done a draft analysis, just click
OK to create the parting lines.
In order to cut the
tooling block into a cavity and a
core, SolidWorks needs two
Figure 31 - Creating Parting Lines
complete surfaces free of voids or
holes. We use the Shut-Off surfaces button to close up all the thru holes in our part.

Figure 32 - Shut Off Surfaces Command

http://drop.io/AAEngineering/AAE Training.docx

Page 22

SolidWorks and Simulation Training


All of the thru holes appear in the edges box. Make sure Knit, Filter Loops and Show Callouts is
checked then click ok. A new surface is created that is coincident with the existing surface, but contains
no holes.

Figure 33 - Shut Off Surface

Parting surfaces extrude from the parting line and are used to separate the mold cavity from the
core. Select the parting surfaces tool, set the distance to 10mm and check Knit All Surfaces and click OK.

Figure 34 - Parting Surface

http://drop.io/AAEngineering/AAE Training.docx

Page 23

SolidWorks and Simulation Training


Next, create a parting plane parallel to the rectangular surface with an offset of 20mm as shown.

Figure 35 - Parting Plane

With the new plane selected, click the


Tooling Split button. Make Hidden Lines
Removed from the view toolbar then draw the
rectangle shown here. Exit the sketch and
switch to an isometric view when done. Select
Interlock surface with a draft of 3. Set the
depth in direction 1 to 90mm and the depth in
direction 2 to 70mm. Change back to shaded
with edges, then click OK.

Figure 37 - Tooling Split Rectangle

Figure 36 - Tooling Split Parameters

http://drop.io/AAEngineering/AAE Training.docx

Right click on Tooling Split 1(1), select


Body Properties and change the name to Core.
Re-Name Tooling Split 2(1) to Cavity. You can
create parts from the bodies by right clicking
on each body and selecting Insert Into New
Part.

Page 24

SolidWorks and Simulation Training


Sheet Metal
Objectives
Refresh (As Needed) on specific Sheet Metal Features
Converting a Solid Model into a Sheet Metal Part

Often, it is easier to create a solid model in context of an assembly then convert that part to a sheet
metal part. Take a look at these two examples:

Figure 38 - Heat Shield

From the Sheet Metal toolbar, click


Convert to Sheet Metal. Next, select a
face to be the fixed face. Then, set the
material thickness and the bend radius.
Finally, select the edges that represent
the bends in the part. When done, click
ok.

Figure 39 - Convert to Sheet Metal

Figure 40 - Converted Part

http://drop.io/AAEngineering/AAE Training.docx

Page 25

SolidWorks and Simulation Training


Other times, we may need to convert some volume shape into a sheet metal part.

Figure 41 - Solid Part to Sheet Metal Part


to Flat Pattern

http://drop.io/AAEngineering/AAE Training.docx

Page 26

SolidWorks and Simulation Training

Review
This section is meant to be a refresher course on sheet metal modeling using SolidWorks. Listed
below are the Sheet Metal commands. After a quick review, an example can be done on any feature or
features you would like to see demonstrated.
Base Flange
Convert to Sheet Metal Lets you specify the thickness, bends and rips necessary o convert a
solid part to a sheet metal part.
Lofted Bend Allows you to loft together two separate open profiles as a sheet metal part.
Edge Flange
Miter Flange
Hem adds a hem to a linear edge.
Jog
Sketched Bend
Cross Break
Chamfer
Fillet
Forming Tool
Extruded Cut
Simple Hole
Vent
Unfold
Fold
Flatten
No Bends Rolls Back a sheet metal part containing Flatten-Bends and Process-Bends to show
the part with bends removed.
Rip Rips the corner of a solid part for use in changing the solid part into a sheet metal part.
Insert Bends Creates a sheet metal part from an existing part.

http://drop.io/AAEngineering/AAE Training.docx

Page 27

SolidWorks and Simulation Training


Day 3
Assemblies
Objectives
Motion Manager
Top-Down Assembly Modeling
Advanced Mate Techniques
Large Assemblies
SpeedPak
Motion Manager
The Motion Manager is a tool used to create animations from SolidWorks parts and assemblies.
It can also work with Photo Works to produce photorealistic animations to add visual impact to
presentations and documents. Additionally, the Motion Manager is used to perform simulations with
Cosmos Motion.
To start access the motion manager, click on the
Motion Study tab at the bottom of the SolidWorks interface.
This brings up the Animation Timeline and Motion Toolbar.

Figure 42 - Motion Study Tab

Figure 43 - Animation Timeline

http://drop.io/AAEngineering/AAE Training.docx

Page 28

SolidWorks and Simulation Training


Lets start by creating a simple animation of an
assembly that has an exploded view. For these types of
animations, we use the built in Animation Wizard.
The first step gives you options to rotate,
explode or collapse your assembly. Note that explode
and collapse are not available if you have not created an
exploded view. Choose Explode and click next.
The Animation Control Options dialog lets you
specify how long it will take for the explode to occur and
what time to start the explode. For this example, I will

Figure 44 - Animation Wizard Step 1 of 2

go with a three second explosion that begins at 1 second.


This will give a full second of animation before parts start
moving around. Click finish to have the wizard modify
the Animation timeline.
The animation timeline now runs from 0 to 4
seconds. The Diamonds represent keys which indicate
something is either beginning, stopping or changing how
it moves. Repeat the above steps but this time choosing
the collapse option. Leave the duration at 3 but change
the start time to 6.
Figure 45 - Animation Wizard Step 2 of 2

You may also animate using


Move and Rotate. Start by
moving the slider to a point in
time where you want your
animation to begin, right click on
the component to create a key.
Then move the slider to a new
point in time. Right click on the
part you want to move and
Figure 46 - Modified Animation Timeline
choose Move with Triad. Use the
triad to re-position the part. You can also right click on the part and choose Show Rotate Delta XYZ Box
which will assist you in rotating the part while you are moving it. For instance, to show a nut threading
onto a bolt or a screw threading into a tapped hole.

http://drop.io/AAEngineering/AAE Training.docx

Page 29

SolidWorks and Simulation Training


Alternately, you can animate using Basic Motion. In a basic motion animation, you apply gravity,
contact, springs, dampers and motors to your assembly and observe the behavior. The basics of the
animation are the same as above. Note that this is not a simulation, this is only showing basic motion. A
simulation must be run using Cosmos Motion.
Top Down Assembly Modeling
Top down assembly modeling has become much easier with the introduction of virtual parts in
SolidWorks 2008. A virtual part is a part file that is stored within the Assembly database. It can later be
extracted to a separate file and used in other assemblies. To create a virtual component, simply click
Insert->Component->New Part then select a face or plane for the In-Place reference. A virtual part
works exactly like any other part except that it can only be referenced by the assembly it was created in.

Figure 47 - Inserting a Virtual Part

To export the virtual part to its own part


file, simply right-click on the virtual part in
the feature manager and select the option
Save Part(in External File).
To Break or Lock the references linking
the new virtual part to the assembly, right
click on the virtual part and select open
part. At the top of the feature manager in
the virtual part, right click and select List
External Refs The external references
dialog box appears giving you the
opportunity to either lock all or break all
external file references. Remember that
once the references are broken, they
cannot be Automatically restored.

Figure 49 - External References

Figure 48 - Save to External File

http://drop.io/AAEngineering/AAE Training.docx

Page 30

SolidWorks and Simulation Training


Advanced Mate Techniques
SolidWorks 2009 has several advanced mate options for assemblies. The advanced mates
include:
Advanced Mates such
o Symmetric
o Width
o Path Mate
o Linear/Linear Coupler
o Limit Mate
Mechanical Mates
o Cam
o Hinge
o Gear
o Rack Pinion
o Screw
o Universal Joint

Figure 50 - Advanced & Mechanical Mates

Additionally, SolidWorks also provides for Smart Mates and Smart Components as well as Active
Dragging and mating from within the Assembly Drawing area. A note about mates in SolidWorks, mates
should be used sparingly. The more mates in an assembly, the larger the assembly file and the greater
the chance that it will become corrupt or broken.

http://drop.io/AAEngineering/AAE Training.docx

Page 31

SolidWorks and Simulation Training


Large Assemblies
Working with large assemblies in SolidWorks requires a strategy to minimize the time required
to load and edit the components in the assembly. There are several different strategies offered using
lightweight, hidden and suppressed components.
Lightweight Components offer reduced file sizes on open to increase speed. They must be fully
loaded to perform some operations. A lightweight component can:
o Speed Up Assembly Work
o Keep Mates Intact
o Maintain Placement
o Keep Orientation
o Be Moved and Rotated
o Be Displayed in Shaded, Hidden Line or Wireframe Modes
o Have their edges, faces, or vertices selected or mated to.
o Have Mass Properties or Interference Detection performed on them.
Light weight components cannot be Edited
or Show its features in the design tree. To
load a component as light weight, simply
right click on the part and select Set to
Lightweight.
BEST PRACTICE: Set your system options so
that components in assemblies are loaded as
lightweight by default. This way you will
automatically reap the benefits of working
with lightweight components. On those few
occasions when you want to open an
assembly as resolved, you can always clear
the Lightweight check box on the File, Open
dialog.

Figure 51 - System Options->Performance

http://drop.io/AAEngineering/AAE Training.docx

Page 32

SolidWorks and Simulation Training


Large assembly mode is used to invoke a set of options based on an assembly with the minimum
number of components. The threshold for the number of components is user defined. When
opening an assembly with Large Assembly Mode active, the software checks to see if it qualifies
as a large assembly. If so, appropriate settings are chosen to make the large assembly faster.
o Automatically Load Components Lightweight
o Do not save auto recover info
o Hide all planes, axes, sketches, curves, annotations etc.
o Do not display edges in shaded mode.
o Suspend automatic rebuild.

Figure 52 - Large Assembly Mode

Selective Open option allows components to be selected, hidden and not loaded into memory
prior to opening. It makes extensive use of Display States. When opening a large assembly, click
the Quick View option. Next hold down CTRL and select the components that you need to
work with. Click ok and the parts not selected will not be loaded. A new display state is created
which you can re-name for later use.

Figure 53 - Quick View Option

http://drop.io/AAEngineering/AAE Training.docx

Page 33

SolidWorks and Simulation Training


SpeedPak
SpeedPak is new to SolidWorks 2009 and is used to create a simplified configuration of an
assembly without losing references. A SpeedPak configuration is a subset of the parts and faces of an
assembly. Unlike regular configurations, where you can simplify an assembly only by suppressing
components, SpeedPak simplifies without suppressing. Therefore, you can substitute a SpeedPak
configuration for the full assembly in higher level assemblies without losing references. SpeedPak
configurations must be manually updated when changes occur to the assembly.
To create a SpeedPak configuration, right click on an existing configuration in the configuration
manager and select Add SpeedPak. Select the faces and bodies you want to be selectable in the new
configuration, then click Ok. Optionally, select Remove Ghost to further increase performance.

Figure 55 - Finding SpeedPak

Figure 54 - SpeedPak Properties

http://drop.io/AAEngineering/AAE Training.docx

Page 34

SolidWorks and Simulation Training


Day 4
Design Tables
Objectives
Creating a New Design Table
Best Practices and Common Mistakes

SolidWorks design tables enable the user to rapidly create a family of parts based
on a well defined model or assembly. Design tables are especially useful when you need
a part that is exactly like a previous part, only with a dimensional change like hardware,
motor mounting frames and other generally Purchased parts. You must have
Microsoft Excel installed on your computer to use SolidWorks design tables.
To create a design table, start with a fully modeled part. Go to Tools->Options
and enable the Show Dimension Names option then click OK. Next in the browser
tree, right click on the Annotations folder and ensure the Display Annotations and
Show Feature Dimensions are checked on.

Figure 56 - Show Dimension Names

Figure 57 - Annotations Folder

http://drop.io/AAEngineering/AAE Training.docx

Page 35

SolidWorks and Simulation Training


At this point you should be able to see all of the dimensions that you created to
make your part. By default, SolidWorks names the dimensions D1, D2..etc. in each
sketch. Since D1 doesnt really mean anything to us unless we are looking at a sketch or
a part, I recommend re-naming the dimensions. In the example provided, I am using the
diagram and chart below to generate a configured chain. I therefore name the
dimensions in SolidWorks the column name from the table to make creating the design
table easier.

Figure 58 - Diagram and Table from www.hzpt.com

To re-name a dimension, simple click on the dimension then change the name in the Property Manager.

Figure 59 - Re-Name a Dimension

http://drop.io/AAEngineering/AAE Training.docx

Page 36

SolidWorks and Simulation Training

Figure 60 - Before and After Naming the Dimensions

Once your dimensions are named, you can go ahead and create the
design table. Click Insert->Table->Design Table to bring up the Design
Table Property Manager. From the property manager, we have several
options.
Source:
Blank Creates a completely blank design table. To finish the
design table double click on each dimension and it will
automatically be entered into the proper column in Excel.
Auto-Create SolidWorks queries the model and any created
configurations. It then adds any changed dimensions directly to
the design table upon creation.
From File Allows the user to specify an Excel document to use as
the design table.
o Link to File Keeps the design table saved external to the
SolidWorks File
Figure 61 - Insert a Design Table
Edit Control:
Allow Model Updates Takes any changes made to the
SolidWorks file and updated the values stored in the design table. This can be
very dangerous!
Block Model Updates Forces changes to design table dimensions to occur in the
design table. This is the preferred method.

Options:
I generally leave all of these boxes checked. These options control what
SolidWorks does when you open a design table.
Figure 62 - Design Table Property
Manager

http://drop.io/AAEngineering/AAE Training.docx

Page 37

SolidWorks and Simulation Training


Click OK to create the design table. Since I had only one configuration created, the Dimensions
dialog box comes up. Hold down Shift and click on the dimensions you want controlled in the design
table, then click OK.

Figure 63 - Dimensions Dialog Box

The SolidWorks interface now changes to look like Excel. Additionally, an Excel Worksheet is
opened up in the drawing area of SolidWorks as shown below. This appears to be one of the most unstable ways to use SolidWorks. For some reason, I have had SolidWorks crash on my whenever I try to
work in this mode.

Figure 64 - Excel/SolidWorks

http://drop.io/AAEngineering/AAE Training.docx

Page 38

SolidWorks and Simulation Training


Click in the drawing area to close the design table. Then go to the Configuration Manager, right
click on the new Design Table and select Edit Table in New Window. This will open Excel so you can
work with the design table separately from SolidWorks. Occasionally the Add Columns and Rows
dialog box will appear. This is SolidWorks attempt to notify you of changes to the model since the last
time the design table was opened. Just click OK so you can take a look at the design table. (If the
design table does not open fully and SolidWorks is blinking in your Windows Taskbar, click SolidWorks to
reveal this dialog box. You cannot edit SolidWorks or the Design Table while this box is open.)

Figure 66 - Edit Table in New Window

Figure 65 - Add Rows and


Columns Dialog Box

http://drop.io/AAEngineering/AAE Training.docx

Page 39

SolidWorks and Simulation Training


Now it is a simply a matter of typing in the values from our source to Excel. The first row is
simply a reference back to the SolidWorks file. The second row is a list of all the dimensions or
properties that the design table controls. All the following rows are simply data used to update the
model.

Figure 67 - Excel Design Table

SolidWorks reads the design table from top to bottom left to right. It continues reading until it
hits a blank column, then it goes to the next row. It then continues reading until it hits a blank row. We
can use this to our advantage. You can add notes, pictures or equations to the right of the design table
as long as you leave a blank row between your calculations and the area SolidWorks will read. To
generate the created configurations, simply close Excel.
The dimensions controlled by the design table turn pink. Since I set the option to Block Model
Updates you cannot change the values from SolidWorks, you must open the design table to modify the
number.

Figure 68 - Design Table Controlled Dimensions

http://drop.io/AAEngineering/AAE Training.docx

Page 40

SolidWorks and Simulation Training


The table below shows what exactly can be controlled from design tables. (This is the Summary of
Design Table Parameters from the SolidWorks help.)
Parameter Syntax
(header cell)

Legal Values
(body cell)

Default if Value is Left Blank

$configuration @part_name

configuration name

not evaluated

$configuration @feature_name

configuration name

not evaluated

$comment

any text string

empty

$description

any text string

configuration name

$partnumber

any text string

configuration name

$state @feature_name

Suppressed, S
Unsuppressed, U

Unsuppressed

dimension @feature_name
- or dimension@sketch_name

any legal decimal value for the dimension

not evaluated

$hw-size

any value listed in Size in the Hole Wizard


PropertyManager

smallest hole size available

$parent

parent configuration name

property is undefined

$prp @property

any text string

property is undefined

$state @equation_number@equations

Suppressed, S
Unsuppressed, U

Unsuppressed

$state @lighting_name

Suppressed, S
Unsuppressed, U

Unsuppressed

$state @sketch_relation@sketch_name

Suppressed, S
Unsuppressed, U

Unsuppressed

$user notes

any text string

not evaluated

$color

32-bit integer specifying RGB (red, green,


blue) color

zero (black)

$sw-mass

any legal decimal value for the mass

The calculated value of mass in the Mass


Properties dialog box.

$sw-cog

any legal decimal value for the coordinates of


the center of gravity, in the format x, y, z

The calculated value of mass in the Mass


Properties dialog box.

$tolerance @dimension_name

See Tolerance Keywords and Syntax in


Design Tables.

NONE, or for a derived configuration, the


tolerance value of its parent.

Parts only

Parts and Assemblies

http://drop.io/AAEngineering/AAE Training.docx

Page 41

SolidWorks and Simulation Training

Assemblies only
$displaystate

display state name

For new configurations, Display


State-1. For existing configurations,
the name of that configuration's most
recently active display state.

$fixed

Yes (or Y) for fixed


No (or N) for not fixed (floating)

Not fixed (floating)

$state
@component_name<instance>

Resolved, R
Suppressed, S

Resolved

$configuration
@component_name<instance>

configuration name

The name of the configuration that is


active when you create the cell.
NOTE: If the component uses a
derived configuration, and the value
is left blank, the configuration used
is linked to its parent.

$never_expand_in_BOM

Yes (never expand)


No (allow to expand)

No

Best Practices and Common Mistakes:


Keep the part and the design table simple.
Limit the number of configurations to around 50. If you need more, start a new file.
Dont be afraid to lock down some data in the design table using Excels lock worksheet
function.
SolidWorks does not tell you when a value in the design table is changed!

http://drop.io/AAEngineering/AAE Training.docx

Page 42

SolidWorks and Simulation Training


Macros
Objectives
Record a Macro
Edit a Macro
SolidWorks Application Programming Interface (API)
Assign a Macro to a Button
Recording a Macro
Recording a macro in SolidWorks is simple. Right click on the toolbar region and select the
Macro toolbar. Press the red record button then do something in SolidWorks. This record is
not like recording on a VHS tape or a DVD. The macro recorder only records actions within
SolidWorks, time is not recorded. Once you have completed your task, click the Stop
button on the same toolbar. A dialog box will show up asking you where you would like to
store your newly recorded macro.
To view/edit your macro, click the edit button then browse to the macro file you just
created. Click open to see the SolidWorks VBA interface. A sample macro is shown below as
it was recorded by SolidWorks.

Figure 69 - Load
Macro Toolbar

Figure 70 - Sample Macro

http://drop.io/AAEngineering/AAE Training.docx

Page 43

SolidWorks and Simulation Training


Ok, time to talk code. For those of you that have no idea how to program, Im sorry, but here I
go anyway. For some reason the recorder does not use the proper declarations when recording a
macro. First off, you should always have the setting Option Explicit at the top of the code. This
requires you to declare a variable before trying to use it. Second, you will notice that the recorder
declared the variable swApp and part as object. While this works, it makes debugging and modifying
more difficult. I recommend changing the declarations of swApp and part as shown:
Dim swApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
This declares swApp as a class type SldWorks and Part as a class type ModelDoc2 which is what
they are. This gives you more direct access to the methods and members of the classes while modifying
the code. Additionally, this will speed up the macro during run-time since the code is not wasting the
step of converting a generic class Object to a class SldWorks. The SolidWorks API is well documented
under Help->API Help.
To assign a macro to a button, first right click on the
macro toolbar and choose customize.
Click on the
Commands tab then select Macro from the list on the left.
You can drag the New Macro button down onto the macro
toolbar which will then launch the Customize Macro Button
dialog box. The tooltip it the bold lettering shown in the
bubble when you hold your mouse over a button. The
prompt is some sort of short description of what the button
does.

Figure 71 - Customize Macro Toolbar

Figure 72 - Customize Macro Button

Clicking on the button with the three next to it will allow


you to browse to your saved macro file. Once done, simply
click OK twice. Thats it; you now have a new button
which will run your custom macro. Optionally, you can
create a new graphic and assign it using the choose image
button.

http://drop.io/AAEngineering/AAE Training.docx

Page 44

SolidWorks and Simulation Training


Macro Ideas
Toggle document units between Inches, Millimeters or Dual Dimensioning
Toggle between ANSI and ISO drafting Standards.
One button print 8.5 x 11 paper.
One button print 11 x 17 paper.
Auto-Fill Custom/Document Properties
One Button save as eDrawing, PDF, Step, Iges.etc.
Create a better interference checker using the Combine feature.
One click Pack and Go

http://drop.io/AAEngineering/AAE Training.docx

Page 45

SolidWorks and Simulation Training


Day 5
Weldments
Objectives
Create a Weldment
Create a Weldment Profile
Break a weldment up into sub-weldments.
A weldment is an object made up of several parts welded together. Although it is really an
assembly, many prefer to represent it as a single part for BOM purposes. To achieve this, weldments
are modeled as multibody parts. A special Weldment feature is inserted at the top of the tree which
designates a multibody part as a weldment.
Most weldments consist of 3D-Sketches and Structural Member features. The 3d sketch is
usually the center of a frame, but can also be the
outside or inside by simply changing the pierce point
on the profile sketch. Lets start by creating the 3D
sketch seen here. This is to create an evaporator
support weldment.
Use the Structural member C Channel to create
the first part of this weldment. ANSI 5 x 6.7 C channel
to be specific. Once you have selected a horizontal
line, click the Locate Profile button in the property
Figure 73 - 3D Sketch of Support Structure
manager and position the sketch as shown. This way,
the 3D sketch you created becomes the inside top of the
support structure.
Now select the other three lines and clear the Apply
Corner Treatment check box. This gives a nice rectangular
box made of C Channel.

Figure 74 - Structural Member Sketch


Located and Rotated

Figure 75 - C Channel Frame

http://drop.io/AAEngineering/AAE Training.docx

Page 46

SolidWorks and Simulation Training


To create the first leg, use 3 x 3 x
0.25 A1 L Angle. Orient the sketch as
shown here. If you dont have a 3 x 3 x
0.25 angle iron profile, you will have to
create one. Browse to your SolidWorks
installation folder and look for the Data
folder. Under the data folder is the
weldment profiles. The structure under
weldment profiles is the structure found in
the property manager of the weldment.
Browse to Angle Iron under Ansi and open
the 3 x 2 x 0.25 file. Save it as 3 x 3 x 0.25
then modify the sketch as required. Re-

Figure 76 - Angle Iron Leg

save then go back to your weldment and you


should see the new profile in the property
manger drop down.
Weldment profiles are saved as SLDLFP
files. The easiest way to create a new one is to
modify an existing profile and save it with the
new name. Be careful since the dimensions in
the sketch are used in the properties of the file
to set the size. This size is then read when its
time to make a cut-sheet.
Figure 78 - Weldment Profiles Folder

Next, add a reinforcing plate to the leg as shown


below. The material is thick.

Figure 77 - Leg Reinforcing Plate

http://drop.io/AAEngineering/AAE Training.docx

Page 47

SolidWorks and Simulation Training


Now add a sketch on the back side of the reinforcing plate as shown below. This will be the
length of the angle brace. Add the angle brace as shown using the structural members command.

Figure 79 - Sketch and Weldment for Support

Add a foot pad to the leg as shown. The thickness is .

Figure 80 - Foot Pad

http://drop.io/AAEngineering/AAE Training.docx

Page 48

SolidWorks and Simulation Training


Mirror the leg components with respect to the front reference plane. Create two cross braces
connecting the two legs. One brace is located on the inside of the leg, while the other on the outside of
the leg geometry. Extrude the braces to a thickness of .

Figure 81 - Cross Braces

Use the hole wizard to create a clearance hole for a 7/16 bolt thru the two cross braces. Then
mirror both legs about the Right Plane.

Figure 82 - Mirrored Legs

http://drop.io/AAEngineering/AAE Training.docx

Page 49

SolidWorks and Simulation Training


Using the hole wizard once again and starting on the selected face below, create more 7/16
thru holes as shown.

Figure 83 - Hole Wizard Hole Locations

Before clicking ok on the property manager to create the holes, check the feature scope. Check
selected bodes then select the ones shown below. Once done, mirror the bolt holes across the right
plane.

Figure 84 - Hole Wizard Feature Scope

http://drop.io/AAEngineering/AAE Training.docx

Page 50

SolidWorks and Simulation Training


Now break up the weldment to make it easier
to use by creating sub-weldments. Expand the Cut List
folder at the top of the browser tree. Select the parts
shown then right click and select Create SubWeldment. Repeat for the other side of the frame.
Now right click on the Cut List folder and select the
Update option.

Figure 85 - Select from the Cut List Folder

Figure 86 - Create Sub-Weldment

Right click on Cut List item 3 and add the weight property as shown. Repeat for Cut List item 4.

Figure 87 - Add Weight Property

Right click on Cut List Item 1 and add the Description field with a value of Leg Assembly. Because this
is a Sub-Weldment, it will not pull any data forward like length or weight.

Figure 88 - Add Description Property

http://drop.io/AAEngineering/AAE Training.docx

Page 51

SolidWorks and Simulation Training


Lofting
Lofting enables the user to create features that are defined by multiple cross sectional profiles.
The system constructs the feature a boss, a cut or a surface feature by building the feature between
the sketches. Lofts interpolate face geometry between the profiles.
Creating a Heat Shield
Start with the sketches provided. Note that none of the sketches are 3D. The first step is to loft
the elliptical section to the semi-circle.

Figure 89 - Lofting Sketch

Initiate the loft command then select the two vertexes shown. SolidWorks tries to merge the
two shapes as quickly and efficiently as possible. To get the desired shape open the centerline
parameters box and click the arc connecting the two sketches as shown. Set the start constraint and
end constraint to normal to profile then click OK to build the feature. This forces the feature to hold the
shape of the sketches for a little while before beginning its conversion to the alternate sketch.

Figure 90 - With and Without the Centerline Selected

http://drop.io/AAEngineering/AAE Training.docx

Page 52

SolidWorks and Simulation Training


Next we need to make a sketch on the semi-circle face and convert the entities of the underlying
sketch. Right click on the arc and select Split Entities then click the arc two times to create 3 co-radial
arcs. Add the construction geometry to constrain the arcs as shown.

Figure 91 - Convert Entities, Split Curve and Constrain

Next create a loft from this new sketch to the square. The additional points that were created in
the previous step are used to help normalize the loft. Again set the start and end condition to normal to
profile and select the centerline arc.

Figure 92 - Second Loft

Creating these two lofts has created several surface artifacts. To clean up these artifacts, begin
by selecting all the good faces in the model. Once done right click and select Invert Selection. This
ensures you get all the artifact surfaces.

Figure 93 - Selecting Artifact Faces

http://drop.io/AAEngineering/AAE Training.docx

Page 53

SolidWorks and Simulation Training


From the surfaces toolbar, click delete face and check delete and patch then click ok to clean up
all the artifact surfaces.

Figure 94 - Cleaned up Model

Use a face fillet to fillet the top face to the side faces as shown. Apply a radius of 25mm to both edges.

Figure 95 - Face Fillets

Add a standard 25mm and 55mm fillets to the edges shown.

Figure 96 - 25mm and 55mm Fillets

http://drop.io/AAEngineering/AAE Training.docx

Page 54

SolidWorks and Simulation Training


On a plane located 100mm above the bottom sketch the following rounded rectangle then
extrude the sketch up to next with a 5 draft.

Figure 97 - New Sketch

To finish the part, add a 12.5mm fillet around the new boss feature at the intersection with the
existing lofts. Then shell the entire part with a wall thickness of 2mm.

Figure 98 - Finished Part

http://drop.io/AAEngineering/AAE Training.docx

Page 55

SolidWorks and Simulation Training


Surfacing
Objectives
Understanding Surfaces
Introduction to Surfacing
Understanding Surfaces
In SolidWorks, solid bodies and surface bodies are very nearly the same. This is one of the
reasons it is so easy to use them together in advanced modeling. To understand their differences, and
their similarities, it helps to know what exactly it is that constitutes a surface or solid body. Solid and
surface bodies are made up of two types of information Geometry and Topology.
Geometry describes shape. Something can be flat or warped, straight or curved. A point is a
specific, unique location in space.
Topology describes relationships. For example:
The inside versus the outside of a solid. This is defined by the face normal.
Which edges meet at which vertices.
Which edges form the boundaries of which face.
Which edge is the common boundary between two adjacent faces.
In a solid body, every edge is the boundary between exactly two faces. In a surface body, we
can have edges that bound only one face. This is why you cannot create two squares that share exactly
one edge as a single solid body since the edge would be shared by four surfaces. When SolidWorks
builds solid models it is really automating a lot of surface modeling tasks by creating surface bodies and
assembling them to form a closed volume.
All surfaces in SolidWorks can be described by a parameterized mesh of curves. These are called
iso-parameter or U-V curves. The curves along one side of a four-sided surface are the U curves. Those
in the perpendicular direction are the V curves. The parameter is the number representing the position
along the length of the edge between 0 and 1. You can see the U-V mesh by using the Face Curves
commands.
There are several classes of surface geometry used in SolidWorks. Algebraic surfaces can be
described with simple algebraic expressions. Ruled surfaces are surfaces where every point on the
surface has a straight line that passes through it and lies on the surface. Developable surfaces are a
subset of rules surfaces, and can be flattened without stretching the surface. NURBS (non-uniform
rational b-spline) is a surfacing technology widely used by CAD and computer graphics software. NURBS
surfaces are defined by parameterized U-V curves where the curves are splines, and the surface is
interpolated between the splines.

http://drop.io/AAEngineering/AAE Training.docx

Page 56

SolidWorks and Simulation Training


Introduction to Surfaces
Starting a surface model is the same as a solid model. Begin with the sketch below and use a
surface extrude to extrude a surface 90mm from a mid plane.

Figure 99 - Base Extrude Sketch

Next, the following sketch is revolved using the revolved surface command.

Figure 100 - Surface Revolve Sketch

http://drop.io/AAEngineering/AAE Training.docx

Page 57

SolidWorks and Simulation Training


Create an offset plane 10.5 mm in the negative Y direction parallel to the top plane. The
following sketch is first created then the fit spline tool is used to create a single spline to the profile.

Figure 101 - New Sketch and the Fit Spline Command

On the Right Plane, sketch the following, then use the fit spline tool again replacing the lines and arc
with the spline.

Figure 102 - Profile Sketch

Using the previous two sketches, create a swept surface.

Figure 103 - Model with Extrude, Revolve and Swept Surfaces

http://drop.io/AAEngineering/AAE Training.docx

Page 58

SolidWorks and Simulation Training


On the front reference plane, sketch the following geometry then extrude it with a surface
extrude. Use an up to vertex end point and select the vertex from the first surface you created.

Figure 104 - Separate Surface Bodies created Simultaneously

Using the trim function, select the surfaces shown and set the trim type to Mutual. Next select
the purple faces shown below to be removed.

Figure 105 - First Surface Trim

Use the mutual trim again to trim the previous surface and the swept surface. This time, keep
the purple section shown below.

Figure 106 - Second Surface Trim

http://drop.io/AAEngineering/AAE Training.docx

Page 59

SolidWorks and Simulation Training


The third and final mutual trim will require removing the purple faces shown below.

Figure 107 - Final Surface Trim

Figure 108 - Finished Surface Cuts

Add 3mm fillets to the bottom of the surface body as shown.

Figure 109 Fillets

http://drop.io/AAEngineering/AAE Training.docx

Page 60

SolidWorks and Simulation Training


Finally, click Insert, Boss/Base, Thicken and set the thickness to 1mm

Figure 110 - Finished Part

http://drop.io/AAEngineering/AAE Training.docx

Page 61

SolidWorks and Simulation Training


Day 6
Beam Analysis
Objectives
Setting up and running a static analysis
Difference between Static Analysis and Beam Analysis
Apply Loads and Restraints
Understanding Results
Setting up and running a static analysis
Lets be clear, this is not a course in Finite Element Analysis! Determining when to run a
Simulation on a part or assembly and what loads and restraints are appropriate are best left to the
engineer. What I will cover is how to properly set up and run a simulation in SolidWorks and how to
determine if the solution you have come up with is good enough or if more refinement is required. Lets
begin with a 3D sketch of a table which I will then use the Structural Tools option to apply a cross
section.

Figure 111 - 3D Table Sketch

http://drop.io/AAEngineering/AAE Training.docx

Page 62

SolidWorks and Simulation Training


I used ANSI 3 C-Channel and 2 x 2 square tubing to create my table. I then added clearance
holes for bolts as shown below. I will not add the bolt, washer or nut to the assembly because it
would add unnecessary complexity to the mesh which will increase the time required for analysis.

Figure 112 - Bolt Hole Locations (1/2" Clearance Hole)

Now we are ready to start setting up our analysis. On the Simulation tab, click study. In the
property manager give the study a name and select Static.

Figure 113 - Create a new Static Study

http://drop.io/AAEngineering/AAE Training.docx

Page 63

SolidWorks and Simulation Training


Because this is a weldment, Simulation automatically converted
our study to a beam study. A beam study greatly simplifies the calculation
time because SolidWorks takes advantage of the constant cross sectional
area. Right click on the table folder to apply a material to all the
components. I chose to use Alloy Steel as my material from the
SolidWorks material database. Next, right click on the Joint Group and
click edit. Depending on your default settings, you may see something
like this where each corner is defined by multiple joints. Each of the
purple or green dots on the table represent a joint SolidWorks has added
to the assembly. In this case we only want one joint per corner. To fix
this, toggle on the Treat as joint for clearance less than and set the
value to 3. Click Calculate to update the joints on the table. When
done, click Ok to accept your changes.
Figure 114 Materials Applied

Figure 115 - Joint Groups before and After with Property Manager

http://drop.io/AAEngineering/AAE Training.docx

Page 64

SolidWorks and Simulation Training


As a general rule, you want to apply as few restraints as possible to your model. The more
restraints you add the more Stiffness you add to the matrix. Since a table generally sits on the ground
I will use the Referenced Geometry option when restraining my table. Notice how the animation at
the top of the property manager applies a visual representation of the restraint. Next, select the joints
at the bottom of each of the legs. These are the joints that we will be applying the restraint to. In the
next box, select the bottom face of one of the legs as a reference plane, then ensure the normal to
option is turned on at the bottom. This restraint adequately resembles the actual restraints a table may
see sitting on the floor.

Figure 116 - Restraining the Legs

Click OK to apply the restraints. Next add a fixed restraint to just one of the 4 legs.
Unfortunately, this is required when performing a beam type analysis using SolidWorks Simulation.

http://drop.io/AAEngineering/AAE Training.docx

Page 65

SolidWorks and Simulation Training


Lets assume that this table is holding a 5000 lb piece of equipment with its center of gravity
exactly positioned in the middle of the table. Right click on External Loads and select Force. Click the
Beams button then select the top four beams as shown in blue below. Select the top face of one of the
beams as the reference plane, apply a normal force of 5000 lb.

Figure 117 - Adding a Load

Meshing a beam analysis is fully automated by SolidWorks. Right click on Mesh and choose
Create Mesh. To run the analysis, right click on the name of the analysis and click Run.

Figure 118 - Finished Mesh

http://drop.io/AAEngineering/AAE Training.docx

Page 66

SolidWorks and Simulation Training


Double clicking on the results files gives the following two charts.

Figure 119 - Worst Case Stress

Figure 120 - Displacement

http://drop.io/AAEngineering/AAE Training.docx

Page 67

SolidWorks and Simulation Training


Right click on results and click Define Beam Diagram to create the Shear-Moment plot below.

Figure 121 - Shear Moment Diagram

Lets take a look at the same table run as an assembly instead of a


weldment. This time, when the Simulation is created, it is not a beam
simulation. Again, apply material Alloy Steel from the SolidWorks materials
library. Since this is an assembly, we have to consider connections. For this first
pass, treat the table as a welded frame and leave the connections to their
default setting of Bonded.
Apply similar fixtures to the bottom of the table, do not apply the fixed
restraint. Apply the same 5000 lb load to the top of the plate using External
Loads.

Figure 122 - Static Analysis,


Bonded Contact

Figure 123 - Load and Restraint Applied

http://drop.io/AAEngineering/AAE Training.docx

Page 68

SolidWorks and Simulation Training


Mesh using the default settings. You will notice that this mesh takes significantly longer to
create than the last one. Save your file, then Run the analysis as before. I had to change my solver to
the Direct Sparse method in order to get my simulation to solve. This simulation takes longer to solve
than the previous but also gives more detailed results.

Figure 124 - Nodal Stress (von Misses)

Figure 125 - Total Displacement

So, the real question is, which one is correct? The answer is, as one may put it Yes. Both
simulations are correct given the method with which they were solved. According to SolidWorks, if the
length of the member is greater than 10x the cross section length, the beam method is more accurate
and faster.
http://drop.io/AAEngineering/AAE Training.docx

Page 69

SolidWorks and Simulation Training


Go back to the previous study and change the Global Contact to No Penetration. Right click on
Contact and select the Bolt option. Select the circular edge of the thru hole on the C-Channel as the
reference edge for the bolt head and the circular edge on the far side of the leg as the nut reference
edge. Since the bolt size is , set the head size to 0.866 and the diameter to 0.5. Set the material to
Alloy Steel and the torque to 1440 lb-in. Note that the torque is Inch Pounds and not foot pounds.
Before clicking OK, click the pin so you can re-use the settings on all the bolts.

Figure 126 - Adding a Bolt

Click OK and select the next bolt and so on until you have defined all 8 bolts for the assembly.
Re-Mesh the assembly and run the analysis again. This run should take much longer to process due to
the additional solving of the contact and constraints.

Figure 127 - Von Misses Stress Using Bolts and Contact

http://drop.io/AAEngineering/AAE Training.docx

Page 70

SolidWorks and Simulation Training

Figure 128 - Displacement Plot Using Bolts

As a general rule of FEA, the displacement plots are more accurate since they are calculated
directly from the stiffness matrix. The stress and strain plots are then derived from the displacement
results.

http://drop.io/AAEngineering/AAE Training.docx

Page 71

SolidWorks and Simulation Training


Fatigue Analysis
Objectives
Run a Fatigue Analysis

Running a Fatigue Analysis


A fatigue analysis can only be run once a static or non-linear analysis has been completed. To
start a fatigue analysis click Study->New Study then select Fatigue and give it a name. The first thing
that we must do is apply some sort of an S-N curve to our material. In the static study, right click on the
parts folder and edit the material. Change the material source to custom defined, then pick the Fatigue
SN Curves tab and click on Derive from material Elastic Modulus. While this is not perfect, it is a
reasonable guess for a standard material. Do not use this method on exotic materials or composites.

Figure 129 - Material Modifications for SN Curve

In the Fatigue study, right click on loading and select the Add Event button.
Set the cycles to 100000 and select the proper loading type. Click OK, then right
click on the study and select Run. It should not take very long for you to get results.

Figure 130 - Fatigue Event

http://drop.io/AAEngineering/AAE Training.docx

Page 72

SolidWorks and Simulation Training

Figure 131 - Total Life

So how accurate it the Fatigue Plot? In my experience, using the Derived S-N curve the Total
Life plot is usually within about 30%. I suspect that with more accurate S-N data this could be improved
drastically.

http://drop.io/AAEngineering/AAE Training.docx

Page 73

SolidWorks and Simulation Training


Day 7
Other Simulations
Objectives
Provide an overview of the other simulation types available using SolidWorks Simulation
Frequency Analysis
A quick refresher on un-damped systems:
Every structure has the tendency to vibrate at a natural or resonant frequency.
Each natural frequency has a mode shape that the model assumes when vibrating at that
frequency.
With no dampening, resonance could theoretically result in infinite motion destroying your
design.
The natural frequencies and corresponding mode shapes are dependent upon the geometry,
material and support conditions of the model.
If a design in subjected to dynamic loading, static studies cannot be used to evaluate the
response. Frequency studies can help to avoid resonance in your design. They are also required to
form the basis for evaluating the response of linear dynamic systems. Real models have an infinite
number of natural frequencies, however, generally we only need the first few modes for most
purposes.
To demonstrate, lets consider a tuning fork like the one below. Create a new Frequency using
SolidWorks Simulation.

Figure 132 - Tuning Fork

http://drop.io/AAEngineering/AAE Training.docx

Page 74

SolidWorks and Simulation Training


Set the material to Alloy Steel (SS), fix the small end then mesh the part.

Figure 133 - Fixed End Fully Meshed

Right click on the study name in the browser tree and


select properties. In the frequency dialog box, set the number
of frequencies to 5 and the solver to Automatic. Note that if
you apply a load to the tuning fork, you must use the Direct
Sparse solver. When done, click OK to close the dialog box.
Right Click on the study name and select run. The
analysis should be pretty quick. Double click on each one of
the displacement plots to show the respective mode. Notice
the frequency displayed at the top of the window. Animate
the displacement plot in order to visualize exactly what is
going on.

Figure 134 - Frequency Dialog

Figure 135 - Tuning Fork, 5th Mode of Vibration

http://drop.io/AAEngineering/AAE Training.docx

Page 75

SolidWorks and Simulation Training


If no restraint is provided, then SolidWorks solves for the ridgid body modes of vibration. The
first six modes correspond to the six degrees of freedom, so adjust the number of modes to calculate to
11 or more and re-run the study. The model must be restrained for linear dynamic studies.

Figure 136 - Mode Shape 7, 1782 Hz

Dynamic Analysis
Static studies assume that loads are constant or applied very slowly. Because of this
assumption, the velocity and acceleration of each particle of the model is assumed to be zero. As a
result, static studies neglect inertial and damping forces. For many practical cases, loads are not applied
slowly or they change with time or frequency. For such cases, the Dynamic Analysis is required for more
accurate results. Linear dynamic studies are based on frequency studies and therefore a frequency
study must be completed before setting up a linear dynamic study.
Using the tuning fork: Create a new study and name it Dynamic_1. Select
Linear Dynamic as the type and set the option at the bottom to Modal Time History.
(Use Modal Time History when the variation of each load is known explicitly and you
are interested in the response as a function of time. Use Harmonic Analysis to
calculate the peak steady state response due to harmonic loads or base excitations.
Use a Random Vibration Analysis to calculate the response due to non-deterministic
loads.) You can duplicate the material and the fixed constraints by dragging the
material from the frequency study to the new Dynamic_1 tab. Repeat by dragging the
Fixed constraint down to the Dynamic_1 tab.

Figure 137 - Linear


Dynamic Study

http://drop.io/AAEngineering/AAE Training.docx

Page 76

SolidWorks and Simulation Training


Apply a 50lb load to the end of the tuning fork as shown below. Under the Variation with time
box, choose curve then edit to bring up the Time Curve dialog. I want to simulate flicking or hitting the
tuning fork. Once you have entered the values below, click view to see the graph then click ok twice to
apply the load to the model.

Figure 138 - Defining the Load Time Curve

Right click on the Results Options, then click Ok to accept the defaults. Copy the mesh from the
Vibration Analysis as was done before. Run the analysis. On my laptop, this analysis took about 5
minutes to complete. In order to create a graph of the response we need to locate a node in our mesh.
Right click on the mesh and show the mesh. Right click on mesh again and select probe. Change the
advanced option to node then select the tip of the part to identify a node. Remember the node
number, for my model, it is node 537.

Figure 139 - Identify a Node

http://drop.io/AAEngineering/AAE Training.docx

Page 77

SolidWorks and Simulation Training


To create a graph of the system response, right click on Results and choose Define Response
Graph. Depending on the complexity of your mesh, this could take a few minutes to open up. Locate
your node in the all nodes list, then for the Y axis, choose displacement, URES and inches. Click ok to
see your graph.

Figure 140 - Displacement Response

You can right click on this chart to customize its appearance or click File->Save at the top of the
chart to export the data as a .CSV file which you can then import to Excel. You can use this method to
export the Accelerations and Velocities as well.

http://drop.io/AAEngineering/AAE Training.docx

Page 78

SolidWorks and Simulation Training


Linearized Buckling Analysis
Slender models tend to buckle under axial loading. Buckling is defined as the sudden
deformation which occurs when the stored membrane energy is converted into bending energy with no
change in the externally applied loads. Mathematically, when buckling occurs, the stiffness becomes
singular. The Linearized buckling approach solves an eigenvalue problem to estimate the critical
buckling factors and the associated buckling mode shapes.
For this analysis, I am using a 1 x 1 x 60 long steel bar with 4 Circular plates
that are 0.25 thick on each end. The material is Alloy Steel (SS) from the SolidWorks
material library. On the top, I create a split line offset from the centerline of the part to
ensure buckling occurs. This is where I will apply the load.
Create a new Simulation Study, name the study Buckling and select the Buckling
Analysis then click OK. Fix the bottom and apply a 100,000 lb load in the split line area
created above. Mesh the part, then right click on the study and select properties.

Figure 141 - Slender


Rod

Figure 142 - Split Line Sketch and Location

Set the number of buckling modes to 5 and the solver to Automatic. Click ok, then run the
analysis.

Figure 143 - Buckling Properties

http://drop.io/AAEngineering/AAE Training.docx

Page 79

SolidWorks and Simulation Training


Again, use the animate feature to visualize each of the 5 modes. You can get the critical load
factor from the information at the top of each plot.

Figure 144 - Buckling Mode 5

http://drop.io/AAEngineering/AAE Training.docx

Page 80

SolidWorks and Simulation Training


Thermal Analysis
A thermal analysis calculates the temperature distribution in a body due to Conduction,
Convection and or Radiation. In each of these mechanisms of heat transfer, heat energy flows from the
medium with higher temperature to the medium with lower temperature.
Our tuning fork is held between two surfaces at constant temperatures. The temperature at the
base of the handle is 0C while the temperature at the opposite end is 100C. Determine the Steady
State temperature distribution of the tuning fork.
Create a new study name Steady State Heat Transfer and select Thermal as the type of study.
Copy the material from one of the previous studies. Right click on Thermal Loads and select
Temperature. Select the bottom face and enter the temperature of 0C then click Ok.

Figure 145 - Bottom Face Fixed Temperature

Repeat these steps with the top two faces setting the temperature to 100C. Mesh and run the
analysis to produce the output as shown.

Figure 146 - Steady State Temperature Distribution

http://drop.io/AAEngineering/AAE Training.docx

Page 81

SolidWorks and Simulation Training


Now that the tuning fork is at a steady state condition, the temperatures are flipped such that
the 0C Face is now 100C and vice-versa. Determine the temperature distribution at 2, 4 and 6 seconds
after the switch.
In order to leverage what we have already done, right click on the Steady State Heat Transfer
Study tab at the bottom of the screen and select Duplicate. Provide a new name of Transient Heat
Conduction. Right click on the study name in the browser tree and select properties. In the thermal
properties box, select Transient, set the total time to 6 seconds and the time increment to 0.5 seconds.
Check the box next to Initial Temperatures and ensure the Steady State Heat Transfer study is selected.
Click OK to continue.

Figure 147 - Thermal Properties

Reverse both temperatures by double clicking on them and changing their values from 0C to
100C and vice-versa. Delete the results plot then run the analysis. Create 3 new plots showing the
temperature distribution at 2, 4 and 6 seconds.

Figure 148 - Temperature Distribution at 2 and 4 Seconds

http://drop.io/AAEngineering/AAE Training.docx

Page 82

SolidWorks and Simulation Training

Figure 149 - Temperature Distribution at 6 Seconds

http://drop.io/AAEngineering/AAE Training.docx

Page 83

SolidWorks and Simulation Training


Design Optimization
Optimization studies help you automate the search for the optimum solution. In optimizing a
design, you need to define your objective, the dimensions of the design that can change, and the
conditions that the design must satisfy.
Lets say we have an aluminum plate like the one below. We know that this plate will see an
equal force on the mounting holes of 50 lbs (combined) and we want to minimize the weight
maintaining a safety factor of 4. The outer holes in the plate are used to attach the plate to the
structure and are of no concern during this analysis. The thickness of the plate can range from 0.0625
to 0.1875. The hole in the center of the plate starts at a 1 diameter and can go up to 3 in diameter.
The starting weight of the part made of 6061-T4 is 0.178 lbs.

Figure 150 - Initial Sizing

http://drop.io/AAEngineering/AAE Training.docx

Page 84

SolidWorks and Simulation Training


Create a new static study and call it Static. Add fixed hinge constraints to the six holes on either
side of the plate. Add a single load from the inside surface of the 4 thru holes at 50 lb. Mesh and run
the analysis. Create a factor of safety plot using the default parameters.

Figure 151 - Initial Conditions

Save the analysis and create a new one called Optimization. Right click on Objective and click
Add. Set the choose Minimize, Mass then select Static and click Ok.

Figure 152 - Optimization Objective

http://drop.io/AAEngineering/AAE Training.docx

Page 85

SolidWorks and Simulation Training


Right click on Design Variable and click Add. Find the center hole diameter and click it. Set the
minimum to 0.5 and the maximum to 3.0 then click OK. Add a second design variable for the thickness
of the material. Allow it to range from 0.0625 to 0.1875 then click OK.

Figure 153 - Adding the Hole Diameter as a Design Variable

Right click constraints, then click Add. Ensure Static is selected from the drop down, then click
on the Static Study in the grey box. Set the Result Type to Nodal Stress and the Component to VON: von
Mises Stress. Set the units to PSI, the lower bound to 0 and the upper bound to 7500. Where did I get
the 7500? From out static analysis we had a minimum factor of safety of 12 with a maximum von
Misses stress of 2500 psi. Since I want to decrease my weight, I will also need to decrease my minimum
safety factor to around 4. If my stress increases by a factor 3, my Safety Factor should decrease by the
same factor. Thus multiply 2500 psi by 3 to get 7500 psi as an upper limit.

Figure 154 - Defining a Constraint

http://drop.io/AAEngineering/AAE Training.docx

Page 86

SolidWorks and Simulation Training


Save the part and run the analysis. SolidWorks will go thru multiple iterations before finding the
optimum. The maximum von Mises Stress in the optimized design is 5887 psi which results in a new
minimum safety factor of 5.6. The final weight of the part is 0.082 lbs. Thats more than a 50%
reduction in weight!

Figure 155 - Optimized Design

After careful examination you will find that the thickness is now set to .098 in. A bit of research
and engineering can further optimize the design for both weight and manufacturing.

http://drop.io/AAEngineering/AAE Training.docx

Page 87

SolidWorks and Simulation Training


Drop Test Analysis
Drop test studies evaluate the effect of the impact of a part or an assembly with a rigid or
flexible planar surface.
For this study lets simulate crashing the engine mount into the ground. Assume the mount
does not hit normal to the flat surface but instead skids off the bottom face with a horizontal velocity of
50MPH. Start a new study, name it Drop Test and pick Drop Test as the type of Study.
Right Click on Setup and click Define. Select Velocity at impact then pick one of the top two
edges to define a velocity direction. Set the velocity to 73.3 ft/sec. Pick the Top Plane as a gravity
reference and the Front Plane as the Target reference, click OK.

Figure 156 - Drop Test Setup

http://drop.io/AAEngineering/AAE Training.docx

Page 88

SolidWorks and Simulation Training


Right click Result Options and click Define. The number next to the clock is the solution time
after the impact occurs. Leave all the defaults alone and click OK. This tells Simulation to look at the
first 78.88 microseconds after impact, begin saving the data from time 0 and store 25 sets of results.
Copy the mesh from one of the previous studies then run the analysis.

Figure 157 - Drop Result Options

This analysis should be fairly quick though it does use the non-linear solver. Take a look at the
stress plot, animate it to see exactly what is happening.

Figure 158 - Drop Test von Misses Stress

http://drop.io/AAEngineering/AAE Training.docx

Page 89

SolidWorks and Simulation Training


Day 8
Motion Analysis
Objectives
Setup and run a Motion Analysis.
Export Force/Moment loads from Motion to Simulation.
Run an analysis in Simulation based on the Motion analysis.
Creating and Analyzing a new Motion Study
The first step in creating a motion study is to create a well defined assembly model. As usual,
lets go with a simple assembly to keep the simulation time down to a minimum. I am using this simple
rocker assembly. The upper pin is constrained such that it can only move vertically. The lower right pin
is constrained such that it can only move horizontally. Everything is made of mild steel. A massive
flywheel above the assembly moves the upper pin up and down 0.500 inches at 1 Hz. The goal of this
assembly is to transform that vertical motion to 1.000 inches of oscillating horizontal motion.

Figure 159 - Simple Rocker Assembly

When complete, you need:


Verification that you did in fact design the fixture properly and you will receive 1 of horizontal
movement.
Velocity and Acceleration graphs of the horizontal pin.
In operation, the horizontal pin will see from 0-1000 lbf of resistance to motion. The resistance
is proportional to velocity like a damper. Determine if this design will work?

http://drop.io/AAEngineering/AAE Training.docx

Page 90

SolidWorks and Simulation Training


Once the assembly is constructed and moving as you expect, click the Motion Study 1 tab at the
bottom of the SolidWorks interface. In Tools->Options, make sure that SolidWorks Motion is turned on.
In this case, I turned off SolidWorks Simulation to conserve memory.

Figure 160 - Turn On SolidWorks Motion

Change the study type to Motion Analysis in the upper left corner of the Motion Study Frame.
The other types of simulations were discussed in the Assemblies chapter of this guide.

Figure 161 - Setting up a Motion Analysis

http://drop.io/AAEngineering/AAE Training.docx

Page 91

SolidWorks and Simulation Training


In the SolidWorks view, orient your assembly model in a way that makes applying motors and
forces easier. Then right click on the Orientation and Camera Views key and select Replace Key. This
will set the current view as the starting view for the simulation.

Figure 162 - Setting the Starting View

Next, add a motor to the upper pin as shown. Set the type of motor to linear and select the
vertical edge of the pin. Change the motion to Oscillating and set the distance to 0.500 in. The
frequency should default to 1 Hz. Click ok to create the motor.

Figure 163 - Linear Motor on the Upper Pin

http://drop.io/AAEngineering/AAE Training.docx

Page 92

SolidWorks and Simulation Training


At this point, the simulation will run. Go ahead and click on the calculate button. This should
run pretty quick. Creating the motor made the simulation last 5 seconds. This is probably not
necessary, but It solves fast so we will leave it alone for now.

Figure 164 - Run the Simulation the First Time

Once the simulation is solved, hit the play button to watch the assembly move. Kind of cool, but
basically just an animation. What we can do from here is get the horizontal displacement, velocity and
acceleration graphs. Click the Results and Plots button at the end of the Motion Study toolbar. Set the
Category to Displacement/Velocity/Acceleration then set the Sub-Category to Linear Displacement. In
the third drop down, select X Component since thats all we care about. Finally click the selection box
then select the two faces as shown. Click OK to see the results.

Figure 165 - Creating a Linear Displacement Plot

http://drop.io/AAEngineering/AAE Training.docx

Page 93

SolidWorks and Simulation Training


The chart provided shows absolute displacement between the fixed base and the end of the pin.
In my graph, the distance ranges from 3 in. to 4 in. which does in fact give me a total of 1 inch
displacement. Remember that you can right click on any of the graphs and export the data as a CSV file
which you can then import into Excel and manipulate.

Figure 166 - Relative Position versus Time Plot

Repeat the steps above to create plots for Velocity and Acceleration.

Figure 167 - Velocity versus Time

Figure 168 - Acceleration versus Time

http://drop.io/AAEngineering/AAE Training.docx

Page 94

SolidWorks and Simulation Training


Now lets apply our load based on the information we have learned from the graphs. We want
to apply a 1000 lbf load when the velocity is at its maximum and we want the force to be opposing the
velocity. Click the force button on the Simulation Toolbar and make sure Action Only is selected. Click
on the face of the horizontal pin, this is where the force is applied. Under Force Function, click on
Harmonic then set the Amplitude to 1000 lbf. If we leave everything else alone it should work out for
us. Make sure the arrow is pointing toward the assembly, since this defines the direction of the Positive
force value. Click OK, then re-run the Motion Analysis.

Figure 169 - Adding a Force to the Motion Study

Take a second look at the plots you created before. They are located at the bottom of the
Motion Study Tree. You will notice that nothing changed. What does this mean? Did SolidWorks
Motion even take our new force into consideration? The answer is yes and no. Yes the force was
considered, but it had no effect on the motion simulation. What this means is, we have to do more
work in order to see the effects of the load we applied. Start by saving the assembly, for some reason
this step is required, it is also highly recommended. Create a new Static Study of the assembly. Once
done go to the Simulation menu item and select Import Motion loads. This brings up the Import Motion
Load dialog box. For the next part we have to think a bit. Using our in-depth knowledge of Engineering,
Statics and Dynamics we have to decide which parts to look at and for what time frame.
Based on my in-depth knowledge, I think we should take a look at the rocker piece in the middle
of the assembly. Also, I dont need to import all the loads from my motion analysis, just the first second
since everything is based on 1 Hz.
http://drop.io/AAEngineering/AAE Training.docx

Page 95

SolidWorks and Simulation Training


In the Import Motion Load Dialog Box select the part or parts that you are interested in and add
them to the right side of the dialog box. Next, click on Multiple Frame Study and set the start frame to 1
and the end frame to 26. Notice how this also corresponds to a time frame of 0 to 1 second. Leave the
step at 1 then click OK. This took my computer quite a while to chug thru.

Figure 170 - Import Motion Loads Dialog Box

Now, right click on the part and select open. At the bottom, you should see a new Simulation
stored in this part.

Figure 171 - Motion Imported Simulation

http://drop.io/AAEngineering/AAE Training.docx

Page 96

SolidWorks and Simulation Training


What is interesting about this simulation is that it contains multiple design scenarios. One for
each time segment imported from your motion analysis. Right-Click on the design scenario and click
edit. So what happened is Simulation created a bunch of remote loads and is using the design scenario
to carry the value of the loads at each time segment. All we have to do is mesh the part then run the
analysis on all the design scenarios.

Figure 172 - Design Scenario Dialog Box

Dont set your mesh too fine since the analysis will need to run 26 times. Dont forget to set the
material. Once done right click on the study name and click Run Design Scenarios. I suspect this analysis
will take some time to complete. When done go ahead and hide all of the Loads to make analysis easier.

Figure 173 - Run Design Scenarios

http://drop.io/AAEngineering/AAE Training.docx

Page 97

SolidWorks and Simulation Training


The only real data we can get from this is the new graph at the end of the results tree. Any
other plot you could see would only show the loading in the last step that was processed. Double click
on the graph to show it. Stretch the graph out so you can see it. The graph shows local maximums of
von Mises Stress for each set. This makes it easy to decide which sets need to be looked at closely.
According to the graph below we should be looking at Sets 7 and 20.

Figure 174 - Max vonMises Stress versus Set

The easiest way to analyze Set 7 is to right click on the Study Tab and select Duplicate. Name it
Set 7 then click Ok. Right click on the design scenario and select edit. At the bottom in the Run Options,
select One Scenario then select Set7. Click Ok then re-mesh with a fine mesh then run the Design
Scenarios again. Dont worry, Simulation will only run Set 7.

Figure 175 - Modify Design Scenario to run just Set 7

http://drop.io/AAEngineering/AAE Training.docx

Page 98

SolidWorks and Simulation Training


Once the analysis is done, view the results and make any necessary design changes to the part.

Figure 176 - von Mises and Displacement Plots

Notes about this Simulation:


Mates were used to define the relationship between components instead of 3D Contact. This
reduces the overall solution time without significantly changing the actual loading on the parts.
Any changes to the part or assembly will require re-running the Motion Analysis then reimporting the motion loads to the individual part followed by re-running any necessary set(s).

This workforce solution was funded by a grant awarded under Workforce Innovation in Regional Economic
Development (WIRED) as implemented by the U.S. Department of Labors Employment and Training Administration.
The solution was created by the grantee and does not necessarily reflect the official position of the U.S. Department of
Labor. The Department of Labor makes no guarantees, warranties, or assurances of any kind, express or implied, with
respect to such information, including any information on linked sites and including, but not limited to, accuracy of the
information or its completeness, timeliness, usefulness, adequacy, continued availability, or ownership. This solution is
copyrighted by the institution that created it. Internal use by an organization and/or personal use by an individual for
non-commercial purposes is permissible. All other uses require the prior authorization of the copyright owner.

http://drop.io/AAEngineering/AAE Training.docx

Page 99